﻿Imports System.Data
Imports System.Data.SqlClient
Imports System.Configuration

Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        If Not Me.IsPostBack Then
            ddlImages.DataSource = Me.GetData("SELECT Id, Name FROM tblFiles")
            ddlImages.DataTextField = "Name"
            ddlImages.DataValueField = "Id"
            ddlImages.DataBind()
        End If
    End Sub

    Private Function GetData(query As String) As DataTable
        Dim dt As New DataTable()
        Dim constr As String = ConfigurationManager.ConnectionStrings("constr").ConnectionString
        Using con As New SqlConnection(constr)
            Using sda As New SqlDataAdapter(query, con)
                sda.Fill(dt)
            End Using
            Return dt
        End Using
    End Function

    Protected Sub FetchImage(sender As Object, e As EventArgs)
        Dim id As String = ddlImages.SelectedItem.Value
        Image1.Visible = id <> "0"
        If id <> "0" Then
            Dim bytes As Byte() = DirectCast(Me.GetData(Convert.ToString("SELECT Data FROM tblFiles WHERE Id =") & id).Rows(0)("Data"), Byte())
            Dim base64String As String = Convert.ToBase64String(bytes, 0, bytes.Length)
            Image1.ImageUrl = Convert.ToString("data:image/png;base64,") & base64String
        End If
    End Sub
End Class
